#sbs-git:slp/pkgs/v/w-launcher-app w-launcher-app 0.1.2 226202351de9fefb43756c36d215ca74f52431d0
Name:	org.tizen.w-launcher-app
Summary:	w-launcher-app application (EFL)
Version:	0.1.18
Release:	1
Group:	TO_BE/FILLED_IN
License:	Flora Software License
Source0:	%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(appcore-efl)
BuildRequires:  pkgconfig(ecore-x)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(utilX)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(pkgmgr)
BuildRequires:  pkgconfig(pkgmgr-info)
BuildRequires:  pkgconfig(deviced)
BuildRequires:  pkgconfig(capi-appfw-application)
BuildRequires:  pkgconfig(minicontrol-viewer)
BuildRequires:  pkgconfig(minicontrol-monitor)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(syspopup-caller)

%ifarch %{arm}
%define ARCH arm
BuildRequires:  pkgconfig(capi-context-manager)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(json)
%else
%define ARCH emulator
%endif

BuildRequires:  cmake
BuildRequires:  edje-bin
BuildRequires:  embryo-bin
BuildRequires:  gettext-devel
BuildRequires:	hash-signer

%description
w-launcher-app.

%prep
%setup -q

%define PREFIX /usr/apps/org.tizen.w-launcher-app

%build
%if 0%{?tizen_build_binary_release_type_eng}
export CFLAGS="$CFLAGS -DTIZEN_ENGINEER_MODE"
export CXXFLAGS="$CXXFLAGS -DTIZEN_ENGINEER_MODE"
export FFLAGS="$FFLAGS -DTIZEN_ENGINEER_MODE"
%endif
RPM_OPT=`echo $CFLAGS|sed 's/-Wp,-D_FORTIFY_SOURCE=2//'`
export CFLAGS=$RPM_OPT
cmake  -DCMAKE_INSTALL_PREFIX="%{PREFIX}" -DARCH=%{ARCH}
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}/usr/share/license
mkdir -p %{buildroot}/opt/usr/share/w-launcher
cp LICENSE %{buildroot}/usr/share/license/%{name}
%define tizen_sign 1
%define tizen_sign_base /usr/apps/org.tizen.w-launcher-app
%define tizen_sign_level public
%define tizen_author_sign 1
%define tizen_dist_sign 1

%post
GOPTION="-g 5000 -f"
SOPTION="-s litewhome"

#setting notification badge count in home screen
vconftool set -t int file/private/home/noti_count 0 $GOPTION $SOPTION

%files
%manifest org.tizen.w-launcher-app.manifest
%defattr(-,root,root,-)
%{PREFIX}/*
#%{PREFIX}/bin/*
#%{PREFIX}/res/*
#%{PREFIX}/data/*
/etc/smack/accesses2.d/org.tizen.w-launcher-app.rule
/usr/share/packages/org.tizen.w-launcher-app.xml
/opt/usr/share/w-launcher/watchlauncher_settings.xml
/usr/apps/org.tizen.w-launcher-app/data/watchlauncher_settings.xml
#/usr/share/icons/default/small/org.tizen.w-launcher-app.png
/usr/share/license/%{name}
