/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.tizenopensource.org/license
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __LOGIC_H__
#define __LOGIC_H__

int _app_create(struct appdata *ad);
Evas_Object *make_icon(struct appdata *ad, Evas_Object *parent, const char *path);
Eina_Bool display_lcd_on_cb(void *data);
void unregister_vconf(void);
int grab_key_new(struct appdata *ad, Ecore_X_Window _xwin, int grab_mode);
int ungrab_key_new(struct appdata *ad);
void launcher_focus_in_cb(void *data, Evas_Object *obj, void *ei);
void launcher_focus_out_cb(void *data, Evas_Object *obj, void *ei);

#endif
/* __LOGIC_H__ */
